# nGPT Documentation

Welcome to the documentation for nGPT, a lightweight Python CLI and library for interacting with OpenAI-compatible APIs, supporting both official and self-hosted LLM endpoints.

## Table of Contents

- [Overview](overview.md)
- [Installation](installation.md)
- [Usage](usage/README.md)
  - [Library Usage](usage/library_usage.md)
  - [CLI Usage](usage/cli_usage.md)
- [API Reference](api/README.md)
  - [NGPTClient](api/client.md)
  - [Configuration](api/config.md)
- [Examples](examples/README.md)
  - [Basic Examples](examples/basic.md)
  - [Advanced Examples](examples/advanced.md)
  - [Custom Integrations](examples/integrations.md)
- [Configuration](configuration.md)
- [Contributing](CONTRIBUTING.md)
- [License](LICENSE.md)

## Getting Started

For a quick start, refer to the [Installation](installation.md) and [Usage](usage/README.md) guides.

If you're primarily interested in using nGPT as a library in your Python projects, head directly to the [Library Usage](usage/library_usage.md) guide. 